GNU bug report logs - #35732
eshell case-insensitive completion

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Dario Klingenberg <dario.klingenberg@HIDDEN>; Keywords: fixed; Done: Noam Postavsky <npostavs@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 35732 <at> debbugs.gnu.org and Dario Klingenberg <dario.klingenberg@HIDDEN> Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 26.2. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 35732 <at> debbugs.gnu.org:


Received: (at 35732) by debbugs.gnu.org; 15 Aug 2019 22:31:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 18:31:15 2019
Received: from localhost ([127.0.0.1]:52596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyOH5-0002gL-9o
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 18:31:15 -0400
Received: from mail-io1-f44.google.com ([209.85.166.44]:46867)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hyOH3-0002g0-M6; Thu, 15 Aug 2019 18:31:14 -0400
Received: by mail-io1-f44.google.com with SMTP id x4so2411551iog.13;
 Thu, 15 Aug 2019 15:31:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=xFN5xu9TeEbPSS2/T8yg/TjT99HN1tq5ErMTmwx8iB8=;
 b=JOuEk4f7vLQ26HYkuFHRLIb37sV5x0slGTvqQagfEsVn1R74c0NtSzOjPCpIbcIFX6
 0tqDmyi387v5n4cP6w081DVUmkY7FQF2BU9JKWSM6m7l6zKwy7ZKFe9px6mUxjOAXNGX
 j3qvq6wB269lSH4DKCuiCh3F93yqLv+fvVoBpZrXaSAnzDLB6/h76eUSuCJNnmzznTD5
 grckgy50PaX552nbaEy56O3MEmjNIgk8f/GDLAawbBZORIeCc3QLjzcd6lt30bCpdmQy
 3TuwFjYILzJ7UxsX6YxgLHF0jQd+PEjIdV331ChWSzKxfkFiAqkjyVGwxSG8GtsM5mYP
 Q8Lg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=xFN5xu9TeEbPSS2/T8yg/TjT99HN1tq5ErMTmwx8iB8=;
 b=t3TSu/cEDBYB4ba6syru6z2mvDDUdTrC51BD1ovtYGTZyqbKGyoFqwEhG5U4ysNco8
 GlcWogWBPOCrymzA0UkC4XJT9LhqpegqmcsDYAMp/OZ5IDtorRMVzHIqefME3HDC5FVN
 dFHMRh+heOx+Vk/AzBXr9OnjO8HA0sQtjpCwAJHUEMCcnNToTEBwyMSs0BbNNwkn9Ln4
 xh+lboMUJuBZuUAwbShIBYYAh3a3N/ZGnMC3QLVptFCm8YjoKCg5bfnbNIPvHYDZ1Cfn
 KVMQ2n3YLY/JflvOj2IhUS3HFpV0d4BsIwxomRMJo+Pe3DZmPddG1NWryHSpyplX2XZy
 bRLg==
X-Gm-Message-State: APjAAAW56vitF8AFZO6jq4kujDyDSJ7exRle7tJgidaseca3eXhPmS+6
 wwZbL+tRpz+W1KHdk5QkFrsUyAWC
X-Google-Smtp-Source: APXvYqxKJQJFClKVerrGYTQD4becpPBuJI4BlD+Ax+LA1wHL1yl9MlXfxy8uGoEjxYsylLNU/mMuHQ==
X-Received: by 2002:a02:ca0c:: with SMTP id i12mr7329928jak.82.1565908267880; 
 Thu, 15 Aug 2019 15:31:07 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 y5sm4235858ioc.86.2019.08.15.15.31.07
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 15 Aug 2019 15:31:07 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Alex Branham <alex.branham@HIDDEN>
Subject: Re: bug#35732: eshell case-insensitive completion
References: <63a63605-fee1-93c1-c231-ff5a43721e23@HIDDEN>
 <87blwrhjxx.fsf@HIDDEN>
Date: Thu, 15 Aug 2019 18:31:06 -0400
In-Reply-To: <87blwrhjxx.fsf@HIDDEN> (Alex Branham's message of "Wed, 14
 Aug 2019 09:59:22 -0500")
Message-ID: <87tvaioyc5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35732
Cc: 35732 <at> debbugs.gnu.org, Dario Klingenberg <dario.klingenberg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

found 35732 26.2
tags 35732 fixed
close 35732 27.1
quit

Alex Branham <alex.branham@HIDDEN> writes:

> On Tue 14 May 2019 at 18:16, Dario Klingenberg <dario.klingenberg@HIDDEN> wrote:
>
>> Steps to reproduce:
>>
>> emacs -Q
>> M-x eshell
>> (setq pcomplete-ignore-case t)
>
> I can't reproduce this, which isn't surprising since eshell moved away
> from pcomplete. If no one else can reproduce, can we close this bug?

I can reproduce on emacs-26, but not on master, so I think it's safe to
call it fixed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35732; Package emacs. Full text available.

Message received at 35732 <at> debbugs.gnu.org:


Received: (at 35732) by debbugs.gnu.org; 14 Aug 2019 14:59:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 10:59:30 2019
Received: from localhost ([127.0.0.1]:49578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxukM-000747-Mj
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 10:59:30 -0400
Received: from mail-ot1-f42.google.com ([209.85.210.42]:45529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex.branham@HIDDEN>) id 1hxukL-00073v-PV
 for 35732 <at> debbugs.gnu.org; Wed, 14 Aug 2019 10:59:30 -0400
Received: by mail-ot1-f42.google.com with SMTP id m24so30034977otp.12
 for <35732 <at> debbugs.gnu.org>; Wed, 14 Aug 2019 07:59:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=FoYLwa6qEcOqa6iyQKyggeZ72ZJcY1HvW2etEx2gc4c=;
 b=LTp1WqtG85j8AA3YYbjjQIicUnE8+V0sFeqtj2M2b4UDrUmIezRLOrRFUtcjASpCHZ
 nTKDQ15MnLXcu4FNTWfBNCQi/161VlmPuwIpnCbHhtjLBnOkQJHBjpmSdRL1DoOTscZa
 2tjTCUYmMtTHRQsrZqs85h4wBT27apYy1gruaQ5VzXGD54I5gOoYscA/p67u4S2QS2PQ
 o0c2TZ/oc6Mi+/BtlRoO2GXFZvc9q97y/k5yD4bFDE9AeBt7xT0nZAGtsGOL1M5Ms/ze
 L1+WjOPA8YVJHHGzQc1vLH56brlP+879IuDD8XhqYvtG7JR+n7DAvhN7M/gKI7DH6uSq
 G9TQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=FoYLwa6qEcOqa6iyQKyggeZ72ZJcY1HvW2etEx2gc4c=;
 b=Xa9lJ26JYPggE8V8fdGbUxvBCpDyHp0uC2dltsZ9puLBw1TfAyNUeeHuN3hkRh1gu3
 83m718QXJngGSbojsPepGrIN0F7eYtz5/0GPgByE7UMPmuPzLWCU4Glxb5Orc4mfyfze
 K+lckO1894fxs1TSP0CCZP8zTH/+DUfS6da084txjSA6C1LLdfndqYVYoxC9S+XsijNF
 6bQuGRP0AW9bRoUhq12hI5FLBebQGf8T4OYU9nDBl7T4pBMD7nFpX7Re1agh5apZGzUv
 0MyIHSRfwlcaZmmbgbB84fb0LfNYmPd4axndYMocak1i4OBXrRTOXWmWZRfIcywRom+U
 rqrg==
X-Gm-Message-State: APjAAAVNKLUvngjXJ0ne0vd36gCxEoSgSw9KHZcrPwMLFOpW4vNDk8wx
 BHEgzicA5Hh+fIfqkn0MF7+gU298uaA=
X-Google-Smtp-Source: APXvYqxbluMbm7NzXSaj0dGTK3n1bMwrytdgSrB5R4ANUZ9gMk+WeudqfG27/82A/jPlYMI78/2fFA==
X-Received: by 2002:a9d:4c9a:: with SMTP id m26mr5006439otf.80.1565794763915; 
 Wed, 14 Aug 2019 07:59:23 -0700 (PDT)
Received: from earth (cpe-70-114-192-208.austin.res.rr.com. [70.114.192.208])
 by smtp.gmail.com with ESMTPSA id
 q20sm38127517otm.32.2019.08.14.07.59.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 14 Aug 2019 07:59:23 -0700 (PDT)
From: Alex Branham <alex.branham@HIDDEN>
To: Dario Klingenberg <dario.klingenberg@HIDDEN>
Subject: Re: bug#35732: eshell case-insensitive completion
References: <63a63605-fee1-93c1-c231-ff5a43721e23@HIDDEN>
Date: Wed, 14 Aug 2019 09:59:22 -0500
In-Reply-To: <63a63605-fee1-93c1-c231-ff5a43721e23@HIDDEN> (Dario
 Klingenberg's message of "Tue, 14 May 2019 18:16:56 +0200")
Message-ID: <87blwrhjxx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35732
Cc: 35732 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue 14 May 2019 at 18:16, Dario Klingenberg <dario.klingenberg@HIDDEN> wrote:

> Steps to reproduce:
>
> emacs -Q
> M-x eshell
> (setq pcomplete-ignore-case t)

I can't reproduce this, which isn't surprising since eshell moved away
from pcomplete. If no one else can reproduce, can we close this bug?

Thanks,
Alex




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35732; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 May 2019 17:03:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 14 13:03:03 2019
Received: from localhost ([127.0.0.1]:49739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hQapS-00082M-Dg
	for submit <at> debbugs.gnu.org; Tue, 14 May 2019 13:03:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dario.klingenberg@HIDDEN>) id 1hQa7G-0004pp-BV
 for submit <at> debbugs.gnu.org; Tue, 14 May 2019 12:17:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:45380)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dario.klingenberg@HIDDEN>)
 id 1hQa74-0000Dy-SN
 for submit <at> debbugs.gnu.org; Tue, 14 May 2019 12:17:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39563)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dario.klingenberg@HIDDEN>) id 1hQa73-00087q-Cv
 for bug-gnu-emacs@HIDDEN; Tue, 14 May 2019 12:17:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dario.klingenberg@HIDDEN>) id 1hQa6x-00009G-Sq
 for bug-gnu-emacs@HIDDEN; Tue, 14 May 2019 12:17:05 -0400
Received: from mail-wm1-x333.google.com ([2a00:1450:4864:20::333]:51770)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <dario.klingenberg@HIDDEN>)
 id 1hQa6x-00004z-15
 for bug-gnu-emacs@HIDDEN; Tue, 14 May 2019 12:17:03 -0400
Received: by mail-wm1-x333.google.com with SMTP id o189so3513945wmb.1
 for <bug-gnu-emacs@HIDDEN>; Tue, 14 May 2019 09:17:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:subject:message-id:date:user-agent:mime-version
 :content-language;
 bh=F5rNzHy0koVzK7lD7t/6SYMSyopYMGD2MSVIY5yLzyo=;
 b=a31COaP98ivRNjNp6LinlnTcQAtcVg9vh3grVBKBDISDIHyZQhlGMgusU8UkjsSJbi
 gxAp28BNN1hrunzrFMXHmqFFCuFSScSyDY2gVzyhlh9FP6GiZ5YkxmluxzzpdVD+2u7q
 fNH8bPj/KnrDyoM5MeX2VZP9qMx1fK1TQA+tWI1yJOjqQk1PueZWRYY3jRDFDUOKgfMA
 E1wODTZ3oCCEdBKKV2vQp3qKH2/KgzMk+ufVe8QKDlPM8xgarUufOQ5og3LaEsdbVM8P
 k/UfvyvjQW0I8fuWUy8Sd8iD4XwtQmKwrX5hgok6oC8Ngvkj5g2aYzVvWqhpYRonoxzU
 DQuw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:subject:message-id:date:user-agent
 :mime-version:content-language;
 bh=F5rNzHy0koVzK7lD7t/6SYMSyopYMGD2MSVIY5yLzyo=;
 b=XFVamF/htEMuK/NOM2H6Fbxy5M0c65+PDj0lCzKms3tIDuw4bsXbaiQ2ONK7w0lgWA
 BsbS/4sdLp7JkiTRhV5jlZgF7X2jorVrSojz6wN5Ujw7tHbZE8da6B4mbGGR+c+atbZm
 0OT2QJZvfsS/krvBMhn6zijSNHCNH1L38i7gG3YR6zmwYrDj+QzgvFCFUKGSFaM0E3mb
 Iq4kgmJHSGfG6zz3XU/hh0d1W8USKZmzfV8nEKlVa8qvUhQiLB/gmiQH6rF/QvR1ZGOz
 Si+vqv3uxBV6KxQuQyHnRBOiWKD6EV/uFDlVfARTUUv2N6Ud42w08Mu/XzAp0xvicycm
 f7lw==
X-Gm-Message-State: APjAAAWO5LPi2vf8N4PvkkqDDOeKNTW60j5Kf2czNndUpD8yE6sLuhWR
 2ax1xtLCnodZ1qknj2dQpd7O0yyoYVg=
X-Google-Smtp-Source: APXvYqyTYK5dPOHOHVyyKoLRkVDNTAzG7XSP/RmFrcLKHO8vKzWA4pe2RYz10NqSQ2m6F6lax7bGKg==
X-Received: by 2002:a7b:cb11:: with SMTP id u17mr19689546wmj.55.1557850618818; 
 Tue, 14 May 2019 09:16:58 -0700 (PDT)
Received: from ?IPv6:2a02:908:1860:be0:96b2:b75:9c28:1c03?
 ([2a02:908:1860:be0:96b2:b75:9c28:1c03])
 by smtp.gmail.com with ESMTPSA id t18sm36800140wrg.19.2019.05.14.09.16.57
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Tue, 14 May 2019 09:16:57 -0700 (PDT)
To: bug-gnu-emacs@HIDDEN
From: Dario Klingenberg <dario.klingenberg@HIDDEN>
Subject: eshell case-insensitive completion
Message-ID: <63a63605-fee1-93c1-c231-ff5a43721e23@HIDDEN>
Date: Tue, 14 May 2019 18:16:56 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="------------5213192A3F4E47EBD0746F4E"
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::333
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 14 May 2019 13:03:01 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.
--------------5213192A3F4E47EBD0746F4E
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit

Dear all,


I am experiencing a strange behaviour of eshell on emacs 26.2:


Steps to reproduce:

emacs -Q
M-x eshell
(setq pcomplete-ignore-case t)


Description:

Under some circumstances, completion of paths starting with "~" leads to 
"~" being expanded to the full path and overwriting the previous text.

Example: suppose I wanted to copy the directory 
~/Documents/some_directory/ to my ~/Downloads/ folder. I type

cp -r ~/doc<TAB>

and it correctly expands to

cp -r ~/Documents/

However, when I continue with

cp -r ~/Documents/my_directory ~/dow<TAB>

it expands to

cp -r ~/Docume/home/username/Downloads/


It seems related to this bug: 
https://lists.gnu.org/archive/html/bug-gnu-emacs/2012-11/msg00878.html


In GNU Emacs 26.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.7)
  of 2019-04-17 built on localhost
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description:    Manjaro Linux

Configured using:
  'configure
  CONFIG_SHELL=/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin/bash
  SHELL=/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin/bash
  --prefix=/gnu/store/b38pn0gnj4jsrf79lg4kr80rn5kaim0q-emacs-26.2
  --enable-fast-install --with-modules'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS GLIB NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XDBE XIM MODULES THREADS

Memory information:
((conses 16 820281 36352)
  (symbols 48 72804 17)
  (miscs 40 147 163)
  (strings 32 218249 11988)
  (string-bytes 1 6827776)
  (vectors 16 118557)
  (vector-slots 8 1948506 26962)
  (floats 8 610 381)
  (intervals 56 640 0)
  (buffers 992 13))


Best regards,

Dario



--------------5213192A3F4E47EBD0746F4E
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 8bit

<html>
  <head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  </head>
  <body text="#000000" bgcolor="#FFFFFF">
    <p>Dear all,</p>
    <p><br>
    </p>
    <p>I am experiencing a strange behaviour of eshell on emacs 26.2:</p>
    <p><br>
    </p>
    <p>Steps to reproduce:</p>
    <pre>emacs -Q
M-x eshell
(setq pcomplete-ignore-case t)
</pre>
    <p><br>
    </p>
    <p>Description:</p>
    <p>Under some circumstances, completion of paths starting with "~"
      leads to "~" being expanded to the full path and overwriting the
      previous text.</p>
    <p>Example: suppose I wanted to copy the directory
      ~/Documents/some_directory/ to my ~/Downloads/ folder. I type</p>
    <pre>cp -r ~/doc&lt;TAB&gt;
</pre>
    <p>and it correctly expands to </p>
    <pre>cp -r ~/Documents/
</pre>
    However, when I continue with<br>
    <pre>cp -r ~/Documents/my_directory ~/dow&lt;TAB&gt;
</pre>
    <p>it expands to</p>
    <pre>cp -r ~/Docume/home/username/Downloads/</pre>
    <p><br>
    </p>
    <p>It seems related to this bug:
      <a class="moz-txt-link-freetext" href="https://lists.gnu.org/archive/html/bug-gnu-emacs/2012-11/msg00878.html">https://lists.gnu.org/archive/html/bug-gnu-emacs/2012-11/msg00878.html</a></p>
    <p><br>
    </p>
    <pre>In GNU Emacs 26.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.7)
 of 2019-04-17 built on localhost
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description:    Manjaro Linux

Configured using:
 'configure
 CONFIG_SHELL=/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin/bash
 SHELL=/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin/bash
 --prefix=/gnu/store/b38pn0gnj4jsrf79lg4kr80rn5kaim0q-emacs-26.2
 --enable-fast-install --with-modules'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS GLIB NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XDBE XIM MODULES THREADS

Memory information:
((conses 16 820281 36352)
 (symbols 48 72804 17)
 (miscs 40 147 163)
 (strings 32 218249 11988)
 (string-bytes 1 6827776)
 (vectors 16 118557)
 (vector-slots 8 1948506 26962)
 (floats 8 610 381)
 (intervals 56 640 0)
 (buffers 992 13))

</pre>
    <p><br>
    </p>
    <p>Best regards,</p>
    <p>Dario<br>
    </p>
    <pre>
</pre>
    <p><br>
    </p>
  </body>
</html>

--------------5213192A3F4E47EBD0746F4E--




Acknowledgement sent to Dario Klingenberg <dario.klingenberg@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35732; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 15 Aug 2019 22:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.